#include <hdf5.h>
main() {
char H5FILE_NAME[128];
hid_t file_id;            /* file identifier */
hid_t dataset_id;         /* dataset identifier */
int i, j;
int dset_data[4][6];
herr_t status;

/* data to copy */
for (i = 0; i < 4; i++)
	for (j = 0; j < 6; j++)
		dset_data[i][j] = i * 6 + j + 1;

/* filename */
sprintf(H5FILE_NAME,"RUN/%s.h5","my_fourth_file");
printf("opening an h5 file: %s ...",H5FILE_NAME);
printf("and adding dataspace");

/* open an existing file */
file_id = H5Fopen (H5FILE_NAME,H5F_ACC_RDWR,H5P_DEFAULT);

/* open an existing dataset */
dataset_id = H5Dopen (file_id,"dset",H5P_DEFAULT);

/* Write to dataset */
status = H5Dwrite (dataset_id, H5T_NATIVE_INT, H5S_ALL, H5S_ALL, H5P_DEFAULT, dset_data);

/* close dataset */
status = H5Dclose (dataset_id); 

/* Terminate access to the file. */
status = H5Fclose (file_id);
printf("...done\n");
}
